XMLSchemaValidator.UniqueValueStore (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XMLSchemaValidator.UniqueValueStore

    java.lang.Object
      org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
          org.apache.xerces.impl.xs.XMLSchemaValidator.UniqueValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

    protected class XMLSchemaValidator.UniqueValueStore

extends XMLSchemaValidator.ValueStoreBase

Unique value store.

Author:
  Andy Clark, IBM

Field Summary

Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fFieldCount, fFields, fIdentityConstraint, fItemValueTypes, fLocalItemValueTypes, fLocalValues, fLocalValueTypes, fValues, fValuesCount, fValueTypes`

Constructor Summary
`XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)` Constructs a unique value store.

Method Summary
`protected void` | `checkDuplicateValues()` Called when a duplicate value is added.

Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.UniqueValueStore

    public XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)

  Constructs a unique value store.

Method Detail

### checkDuplicateValues

    protected void checkDuplicateValues()

  Called when a duplicate value is added.

  Overrides:
    `checkDuplicateValues` in class `XMLSchemaValidator.ValueStoreBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.